HP-SEARCH-MAC(1)

NAME
hp-search-mac -- HP switch search tool.

DESCRIPTION
 HP-search-MAC is an util that can query HP switches for their
 connection table. It then allow you to search for a MAC address and tell you
 where it is physically connected (best match first).
 .
 The functionality is similar to traceroute but on Ethernet level and only
 for HP switches.

USAGE
hp-search-mac [options] [MAC] [...]

OPTIONS
hp-search-mac [options] mac [ [options] mac ] [...]

options:
  --dl n
        Set debug level to n.
  --help
        Print this help.
  --hostname host[=>community] | -h host[=>community]
        Set a switch name to search. You can also set this in
                /etc/hp-search-mac.conf or ~/.hp-search-mac.conf.
        The hash to set is \%switches.

Mac:
  You can use some different formats:
    ff:ff:ff:ff:ff:ff (hex)
    ff-ff-ff-ff-ff-ff (hex)

        0.123.0.12.0.12.0 (dec)

CONFIGURATION:

\%switches:
    This is a normal perl hash of the form
    \%switches = (\"host\" => \"community\", ...);

AUTHOR
Ola Lundqvist <ola@inguza.com>

SEE ALSO
snmp-walk(1) snmp-get(1)